Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getCameraBoundariesLinesByDevice({
organizationId: "string",
serials: ["string"],
});
export const merakiOrganizationsCameraBoundariesLinesByDeviceExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_camera_boundaries_lines_by_device(organization_id="string",
serials=["string"])
pulumi.export("merakiOrganizationsCameraBoundariesLinesByDeviceExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetCameraBoundariesLinesByDevice(ctx, &organizations.GetCameraBoundariesLinesByDeviceArgs{
OrganizationId: "string",
Serials: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsCameraBoundariesLinesByDeviceExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetCameraBoundariesLinesByDevice.Invoke(new()
{
OrganizationId = "string",
Serials = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiOrganizationsCameraBoundariesLinesByDeviceExample"] = example.Apply(getCameraBoundariesLinesByDeviceResult => getCameraBoundariesLinesByDeviceResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetCameraBoundariesLinesByDeviceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getCameraBoundariesLinesByDevice(GetCameraBoundariesLinesByDeviceArgs.builder()
.organizationId("string")
.serials("string")
.build());
ctx.export("merakiOrganizationsCameraBoundariesLinesByDeviceExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getCameraBoundariesLinesByDevice
arguments:
organizationId: string
serials:
- string
outputs:
merakiOrganizationsCameraBoundariesLinesByDeviceExample: ${example.items}
Using getCameraBoundariesLinesByDevice
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraBoundariesLinesByDevice(args: GetCameraBoundariesLinesByDeviceArgs, opts?: InvokeOptions): Promise<GetCameraBoundariesLinesByDeviceResult>
function getCameraBoundariesLinesByDeviceOutput(args: GetCameraBoundariesLinesByDeviceOutputArgs, opts?: InvokeOptions): Output<GetCameraBoundariesLinesByDeviceResult>def get_camera_boundaries_lines_by_device(organization_id: Optional[str] = None,
serials: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraBoundariesLinesByDeviceResult
def get_camera_boundaries_lines_by_device_output(organization_id: Optional[pulumi.Input[str]] = None,
serials: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraBoundariesLinesByDeviceResult]func GetCameraBoundariesLinesByDevice(ctx *Context, args *GetCameraBoundariesLinesByDeviceArgs, opts ...InvokeOption) (*GetCameraBoundariesLinesByDeviceResult, error)
func GetCameraBoundariesLinesByDeviceOutput(ctx *Context, args *GetCameraBoundariesLinesByDeviceOutputArgs, opts ...InvokeOption) GetCameraBoundariesLinesByDeviceResultOutput> Note: This function is named GetCameraBoundariesLinesByDevice in the Go SDK.
public static class GetCameraBoundariesLinesByDevice
{
public static Task<GetCameraBoundariesLinesByDeviceResult> InvokeAsync(GetCameraBoundariesLinesByDeviceArgs args, InvokeOptions? opts = null)
public static Output<GetCameraBoundariesLinesByDeviceResult> Invoke(GetCameraBoundariesLinesByDeviceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraBoundariesLinesByDeviceResult> getCameraBoundariesLinesByDevice(GetCameraBoundariesLinesByDeviceArgs args, InvokeOptions options)
public static Output<GetCameraBoundariesLinesByDeviceResult> getCameraBoundariesLinesByDevice(GetCameraBoundariesLinesByDeviceArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getCameraBoundariesLinesByDevice:getCameraBoundariesLinesByDevice
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Serials List<string>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- Organization
Id string - organizationId path parameter. Organization ID
- Serials []string
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id string - organizationId path parameter. Organization ID
- serials string[]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization_
id str - organizationId path parameter. Organization ID
- serials Sequence[str]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
getCameraBoundariesLinesByDevice Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Camera Boundaries Lines By Device Item> - Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- Organization
Id string - organizationId path parameter. Organization ID
- Serials List<string>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Camera Boundaries Lines By Device Item - Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- Organization
Id string - organizationId path parameter. Organization ID
- Serials []string
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Camera Boundaries Lines By Device Item> - Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Camera Boundaries Lines By Device Item[] - Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- organization
Id string - organizationId path parameter. Organization ID
- serials string[]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Camera Boundaries Lines By Device Item] - Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- organization_
id str - organizationId path parameter. Organization ID
- serials Sequence[str]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseCameraGetOrganizationCameraBoundariesLinesByDevice
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
Supporting Types
GetCameraBoundariesLinesByDeviceItem
- Boundaries
Get
Camera Boundaries Lines By Device Item Boundaries - Configured line boundaries of the camera
- Network
Id string - The network id of the camera
- Serial string
- The serial number of the camera
- Boundaries
Get
Camera Boundaries Lines By Device Item Boundaries - Configured line boundaries of the camera
- Network
Id string - The network id of the camera
- Serial string
- The serial number of the camera
- boundaries
Get
Camera Boundaries Lines By Device Item Boundaries - Configured line boundaries of the camera
- network
Id String - The network id of the camera
- serial String
- The serial number of the camera
- boundaries
Get
Camera Boundaries Lines By Device Item Boundaries - Configured line boundaries of the camera
- network
Id string - The network id of the camera
- serial string
- The serial number of the camera
- boundaries
Get
Camera Boundaries Lines By Device Item Boundaries - Configured line boundaries of the camera
- network_
id str - The network id of the camera
- serial str
- The serial number of the camera
- boundaries Property Map
- Configured line boundaries of the camera
- network
Id String - The network id of the camera
- serial String
- The serial number of the camera
GetCameraBoundariesLinesByDeviceItemBoundaries
- Direction
Vertex GetCamera Boundaries Lines By Device Item Boundaries Direction Vertex - The line boundary crossing direction vertex
- Id string
- The line boundary id
- Name string
- The line boundary name
- Type string
- The line boundary type
- Vertices
List<Get
Camera Boundaries Lines By Device Item Boundaries Vertex> - The line boundary vertices
- Direction
Vertex GetCamera Boundaries Lines By Device Item Boundaries Direction Vertex - The line boundary crossing direction vertex
- Id string
- The line boundary id
- Name string
- The line boundary name
- Type string
- The line boundary type
- Vertices
[]Get
Camera Boundaries Lines By Device Item Boundaries Vertex - The line boundary vertices
- direction
Vertex GetCamera Boundaries Lines By Device Item Boundaries Direction Vertex - The line boundary crossing direction vertex
- id String
- The line boundary id
- name String
- The line boundary name
- type String
- The line boundary type
- vertices
List<Get
Camera Boundaries Lines By Device Item Boundaries Vertex> - The line boundary vertices
- direction
Vertex GetCamera Boundaries Lines By Device Item Boundaries Direction Vertex - The line boundary crossing direction vertex
- id string
- The line boundary id
- name string
- The line boundary name
- type string
- The line boundary type
- vertices
Get
Camera Boundaries Lines By Device Item Boundaries Vertex[] - The line boundary vertices
- direction_
vertex GetCamera Boundaries Lines By Device Item Boundaries Direction Vertex - The line boundary crossing direction vertex
- id str
- The line boundary id
- name str
- The line boundary name
- type str
- The line boundary type
- vertices
Sequence[Get
Camera Boundaries Lines By Device Item Boundaries Vertex] - The line boundary vertices
- direction
Vertex Property Map - The line boundary crossing direction vertex
- id String
- The line boundary id
- name String
- The line boundary name
- type String
- The line boundary type
- vertices List<Property Map>
- The line boundary vertices
GetCameraBoundariesLinesByDeviceItemBoundariesDirectionVertex
GetCameraBoundariesLinesByDeviceItemBoundariesVertex
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
